    //
//  HomeViewController.m
//  Strata
//
//  Created by Grant Davis on 5/6/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "HomeViewController.h"
#import "HomeView.h"
#import "HomeSubviewController.h"
#import "Notifications.h"

@interface HomeViewController (Private)

- (void)showSubview:(NSNotification *)notification;

@end



@implementation HomeViewController



- (void)showSubview:(NSNotification *)notification
{
	NSLog(@"showSubview");
	UIViewController *subView = [[[HomeSubviewController alloc] initWithNavigationController:_navController title:@"Subsection"] autorelease];
	[_navController pushViewController:subView animated:YES];
}


// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	NSLog(@"HomeViewController.loadView");
	[self setView:[[[HomeView alloc] initWithFrame:CGRectMake(0, 0, 320, 366)]autorelease]];
}

 
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	
	// listen for view events
	[[NSNotificationCenter defaultCenter] addObserver:self selector:@selector(showSubview:) name:kGotoSubSection object:nil];
 
    [super viewDidLoad];
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}


@end
