//
//  ModalView.m
//  Strata
//
//  Created by Grant Davis on 5/13/10.
//  Copyright 2010 Factory Design Labs. All rights reserved.
//

#import "ModalView.h"
#import "Notifications.h"

@interface ModalView (Private)

- (void)handleClick;

@end



@implementation ModalView


- (id)initWithFrame:(CGRect)frame {
    if ((self = [super initWithFrame:frame])) {
        // Initialization code
		
		UIButton *btn = [UIButton buttonWithType:UIButtonTypeRoundedRect];
		[btn setTitle:@"Show Modal" forState:UIControlStateNormal];
		[btn setFrame:CGRectMake(10, 10, 300, 40)];
		[btn addTarget:self action:@selector(handleClick) forControlEvents:UIControlEventTouchUpInside];
		[self addSubview:btn];
		
    }
    return self;
}

- (void)handleClick
{
	[[NSNotificationCenter defaultCenter] postNotificationName:kShowModal object:self];
}

/*
// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
}
*/

- (void)dealloc {
    [super dealloc];
}


@end
